local me = CreateFrame("frame")

--See http://wowprogramming.com/docs/api_types#specID for what the IDs are
local bossNameToSpecMapping = {
	[0] = nil
	,["Boss Name A"] = 62
	,["Boss Name B"] = 63
	,["Boss Name C"] = 64
}

--set to what you want your loot spec to go back to after looting something.
--0 means stay the same
local specToSwitchToAfterLooting = 0

me:RegisterEvent("PLAYER_TARGET_CHANGED")
me:RegisterEvent("LOOT_CLOSED")
local UnitName = _G["UnitName"]
me:SetScript("OnEvent", function(self, event)
	local newSpec = nil
	if(event == "PLAYER_TARGET_CHANGED") then
		if(not UnitIsDead("target")) then
			local targetName = UnitName("target")
			newSpec = bossNameToSpecMapping[targetName]
			inDefaultSpecAlready = false
		end
	elseif(not (inDefaultSpecAlready or InCombatLockdown())) then
		if(specToSwitchToAfterLooting ~= 0) then
			newSpec = specToSwitchToAfterLooting
			inDefaultSpecAlready = true
		end
	end
	if(newSpec and ((GetLootSpecialization()) ~= newSpec)) then
		SetLootSpecialization(newSpec)
		print("AutoLootSpecSwap: CHANGED LOOT SPEC TO: <<"..(select(2,GetSpecializationInfoByID(newSpec)))..">>")
	end
end)
